
;; This set of unit tests assumes that the memcached executable is in
;; the current PATH.

(use memcached posix test)


(system "memcached -d")
(sleep 3)

(test-group "stats test"
 (with-server-connection h "localhost" 11211
    (let ((data (stats h )))
      (test-assert (and (assoc 'pid data) (assoc 'time data)
			(assoc 'version data))))))

(test-group "set/get test"
 (with-server-connection h "localhost" 11211
     (let ((foo 4))
       (let ((success (set h "foo" foo)))
	 (test-assert success)
	 (let ((foo1 (get h "foo")))
	   (test foo foo1))
	 (let ((foo2 (get h "bar")))
	   (test-assert (not foo2)))
	 ))))
	 

(system "killall -SIGKILL memcached")
